Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model
Interface OWLFrame

All Superinterfaces:
  Cloneable, OWLDescription, OWLObject, Serializable

All Known Implementing Classes:
  OWLFrameImpl

public interface OWLFrame
extends OWLDescription

A frame packages up a top-level description of a class, and consists of a number of superclasses and a number of restrictions. Although `OWLFrame` doesn't have a direct counterpart in OWL (or in DAML+OIL), the notion of a frame was a particularly useful one in the OilEd implementation as it provides a user-friendly view on ontology descriptions. The semantics of a frame is simply the conjunction of the superclass descriptions and restrictions.
This class is pretty much unused at present, however it is likely to prove useful in supporting user interactions with OWL ontologies. In particular, it allows us to isolate those places where an intersection can actually be legally used in OWL Lite, and can thus ease the process of species validation. Created: Fri May 31 16:04:25 2002

Version:
  $Id: OWLFrame.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`Set` | `getRestrictions()` Returns a collection of `OWLRestriction`s.
`Set` | `getSuperclasses()` Returns a collection of `OWLDescription`s.

Methods inherited from interface org.semanticweb.owl.model.OWLDescription
`accept`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Method Detail

### getSuperclasses

    public Set getSuperclasses()
                        throws OWLException

  Returns a collection of `OWLDescription`s.

    `OWLException`

### getRestrictions

    public Set getRestrictions()
                        throws OWLException

  Returns a collection of `OWLRestriction`s.

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb